Subject: Re: Voting Idea?

From: Bruce Lilly <[email-masked]>
Date: Fri, 8 Apr 2005 14:56:13 -0400

>  Date: 2005-04-07 19:49
>  From: "JFC (Jefsey) Morfin" <[email-masked]>

> Actually there is not only financial backing to consider but corporate, 
> cultural, language, time, etc. This was no problem as long as the IETF wasi 
> the technical forum for consensus uncovering for the Academic ASCII 
> Internet (you will note that corporates are vendors).

You might also note that some academic institutions have (in some cases
substantial) financial interests.

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Bruce Lilly <[email-masked]>
Date: Fri, 8 Apr 2005 14:55:59 -0400

>  Date: 2005-04-07 17:33
>  From: "Alex Rousskov" <[email-masked]>

> On Thu, 2005/04/07 (MDT), <[email-masked]> wrote:
> 
> >> On Thu, 2005/04/07 (MDT), <[email-masked]> wrote:
> >> If text and PDF/PS formats are generated automatically (and correctly)  
> >> by
> >> the Toolset from the same source, then the Toolset effectively validates
> >> that PDF/PS content matches plain text format.
> >
> > not necessarily - for instance if the source can conditionally generate
> > content depending on the output format.
> 
> Good and important point indeed! I will try to include a corresponding  
> informal "hint" into the draft.

With *roff source, nroff is generally used (with appropriate
preprocessors and command-line arguments) for text, and troff (with
possibly different preprocessors and/or arguments) for PostScript
(which can subsequently be used to generate PDF).  All of which can
be easily automated with a Makefile and suitable suffix conventions.

Raw *roff also has facilities for conditional processing, including
separate processing depending on whether troff or nroff is being used
for processing -- indeed, most macro packages internally use that
capability.

> > which, if you think about it,
> > is about the only reason we should bother trying to generate multiple
> > formats from a common source.
> 
> Here I disagree because presentation quality matters to humans who read  
> our drafts, but I do not think we should argue about this. It will  
> probably boil down to the definition of "content". Not important...

Generally I agree with Keith on this point; the only reason (in an
ideal world) to generate PostScript/PDF in addition to text is when the
specific draft/RFC has content (typically diagrams or mathematics)
which can only be approximated in plain text.  However, a certain
vendor has created a non-ideal situation, and the RFC Editor
accommodates victims of that situation by providing PDF versions of
RFCs even where there are no diagrams etc. that warrant improved
presentation quality.  As far as I know, however, the IETF Secretariat
doe not do the same for drafts.